<?php
	class PermissaoController extends PermissaoModel {
		
		private $create;
		private $read;
		private $update;
		private $delete;

		public function __construct($create, $read, $update, $delete){
			$this->create = $create;
			$this->read = $read;
			$this->update = $update;
			$this->delete = $delete;
		}

		public function createPermissao(){
			$result = $this->insertPermissao($this->create, $this->read, $this->update, $this->delete);
			return $result;
		}

		public function updatePermissao($idPermissao){
			$result = $this->editPermissao($idPermissao, $this->create, $this->read, $this->update, $this->delete);
			return $result;
		}

	}